OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMDataStd

# XmlMDataStd Class Reference

Storage and Retrieval drivers for modelling attributes.
Transient attributes are defined in package TDataStd
and persistent one are defined in package XmlPDataStd
.

`#include <XmlMDataStd.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | AddDrivers (const Handle(XmlMDF_ADriverTable)&aDriverTable, const Handle(CDM_MessageDriver)&anMsgDrv)
| Adds the attribute drivers to <adrivertable>. .
static Standard_EXPORT void | SetDocumentVersion (const Standard_Integer DocVersion)
static Standard_EXPORT Standard_Integer | DocumentVersion ()

## Member Function Documentation

static Standard_EXPORT void XmlMDataStd::AddDrivers | ( | const Handle(XmlMDF_ADriverTable)& | aDriverTable,
|  | const Handle(CDM_MessageDriver)& | anMsgDrv
| ) | `[static]`

static Standard_EXPORT Standard_Integer XmlMDataStd::DocumentVersion | ( |  | ) | `[static]`

void XmlMDataStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMDataStd::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMDataStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void XmlMDataStd::SetDocumentVersion | ( | const Standard_Integer | DocVersion | ) | `[static]`

The documentation for this class was generated from the following file:

- XmlMDataStd.hxx